Eliminar la version de Query Strings en JavaScript y CSS StyleSheet – WordPress

Hola!.

Cuando analizamos nuestros sitios Web a través de herramientas como Website Grader / GTmetrix  para aumentar el desempeño ( performace) de nuestros Sitios Web, los resultados muchas veces tienden a obtener una calificación baja, esto es por la razón de unos de los aspectos que debemos ajustar en nuestro Tuning, son los llamados a nivel de JAVASCRIPT y CSS los cuales tienen argumentos de la versión que utiliza el WordPress / CSS /Plugings entre otros.

Por ejemplo nos encontramos a través de nuestro FireBug  o los resultados de la herramienta lo siguiente:

argumentos

¿Cómo limpiamos facilmente esto de nuestro WordPress.?

Paso 1: Nos vamos a nuestro panel admninistrativo de WordPress (BackEnd)

Paso 2: Buscamos la opción de Apariencia – > Editor – > y Buscamos al lado Derecho el titulo “Funciones de Tema” ( functions.php)

funciones_tema

Paso 3: Le damos click, nos vamos al final del código fuente, y antes de que cierre la etiqueta de php “?>”, colocamos el siguiente codigo:

function _remove_script_version( $arg ){
	$parts = explode( '?', $arg );
	return $parts[0];
}

add_filter( 'script_loader_src', '_remove_script_version', 15, 1 );
add_filter( 'style_loader_src', '_remove_script_version', 15, 1 );

Paso 4: Guardamos!, y nuestro resultado deberia ser sin los argumentos.

sin-argumentos

Buena Suerte!